Bug 1021483 - Need to disable the serial property for scsi-block drive
Need to disable the serial property for scsi-block drive
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On: 1021480
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 07:40 EDT by Sibiao Luo
Modified: 2013-12-09 03:42 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The serial property for QEMU's "-drive" option is deprecated in Red Hat Enterprise Linux 7.0 Beta. The serial number for virtual disks can still be specified using libvirt or QEMU's "-device" option.
Story Points: ---
Clone Of: 1021480
Environment:
Last Closed: 2013-10-24 19:18:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Sibiao Luo 2013-10-21 07:41:57 EDT
host info:
# uname -r && rpm -q qemu-kvm
3.10.0-34.el7.x86_64
qemu-kvm-1.5.3-9.el7.x86_64

# /usr/libexec/qemu-kvm -drive file=/dev/sdb,if=none,id=drive-data-disk,format=raw,aio=native,*serial=sluo_disk* -device virtio-scsi-pci,bus=pci.0,addr=0x7,id=scsi0 -device scsi-block,drive=drive-data-disk,id=data-disk,bus=scsi0.0 -monitor stdio
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) VNC server running on `::1:5900'

(qemu)
Comment 2 Paolo Bonzini 2013-10-24 19:18:08 EDT
The serial property is deprecated in RHEL7.
Comment 3 Paolo Bonzini 2013-10-24 19:18:36 EDT
The serial property for -drive is deprecated in RHEL7.

Note You need to log in before you can comment on or make changes to this bug.